<!--% PROCESS 'shared-utils.tpl.html' %-->
<!--% PROCESS 'shared-avatar.tpl.html' %-->
<article>
	<h2 class="title">Correspondents</h2>
	<p>For more information on how to become a Correspondent see our <a href="<!--% absolute_url(baseurl) %-->about.html#so_you_want_to_record_a_podcast">contribute</a></center> page. To add a logo here, either email one to admin at hpr or setup your email on <a href="https://en.gravatar.com/">Gravatar</a>. To protect your browsing privacy we gather the images every hour and serve them directly from HPR.<p />
<!--% USE DBI(constants.driver, constants.user, constants.password) %-->
<!--% host_cnt = 0 %-->
	<table class="hosts">
	<th >Avatar</th>
	<th >Name &amp; Host ID</th>
	<th >License</th>
	<th >Last Show</th>
	<!--% FOREACH host IN DBI.query(
		'select h.hostid, h.host, h.license, e.date, 
		h.local_image 
		from hosts as h 
		inner join (select hostid, max(date) as date from eps group by hostid) as e 
		on h.hostid = e.hostid
		order by h.host'
	) %-->
	<tr height="80">
	<td><!--% get_avatar(host.hostid, host.host, host_cnt > 8) %--></td>

		<td><strong><!--% host.host %--></strong><br>

			Host ID: <a href="<!--% absolute_path(baseurl) %-->correspondents/<!--% zero_pad_left(host.hostid) %-->.html"><!--% host.hostid %--></a></td>
		<td><!--% host.license %--></td>
		<td><!--% host.date %--></td>
	</tr><!--% host_cnt = host_cnt + 1 %-->
	<!--% END %-->
	</table>
	<p><a href="<!--% absolute_url(baseurl) %-->about.html#so_you_want_to_record_a_podcast">Become a Correspondent</a></p>
</article>
